Production Order
Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Query parameters
warehouseIdstring · uuidOptional
Pageinteger · int32Optional
PageSizeinteger · int32Optional
Responses
200
OK
referenceNumberstring · nullableOptional
commentsstring · nullableOptional
idstring · uuidOptional
productionOrderNumberstring · nullableOptional
404
Not Found
get/production-orders
GET /production-orders HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
[
{
"referenceNumber": "text",
"comments": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"productionOrderNumber": "text",
"warehouse": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"warehouseCode": "text",
"name": "text",
"description": "text",
"phone": "text",
"email": "text",
"referenceNumber": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text"
}
}
]Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Body
referenceNumberstring · nullableOptional
commentsstring · nullableOptional
clientIdstring · uuid · nullableOptional
warehouseIdstring · uuidOptional
productionOrderNumberstring · nullableOptional
Responses
200
OK
idstring · uuidOptional
406
Not Acceptable
post/production-orders
POST /production-orders HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 554
{
"referenceNumber": "text",
"comments": "text",
"clientId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseId": "123e4567-e89b-12d3-a456-426614174000",
"productionOrderNumber": "text",
"inLines": [
{
"lineNumber": 1,
"productId": "123e4567-e89b-12d3-a456-426614174000",
"quantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text"
}
],
"outLines": [
{
"lineNumber": 1,
"productId": "123e4567-e89b-12d3-a456-426614174000",
"quantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text",
"lotNumber": "text"
}
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000"
}Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Body
referenceNumberstring · nullableOptional
commentsstring · nullableOptional
idstring · uuidOptional
Responses
200
OK
idstring · uuidOptional
406
Not Acceptable
put/production-orders
PUT /production-orders HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 464
{
"referenceNumber": "text",
"comments": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"inLines": [
{
"lineNumber": 1,
"productId": "123e4567-e89b-12d3-a456-426614174000",
"quantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text"
}
],
"outLines": [
{
"lineNumber": 1,
"productId": "123e4567-e89b-12d3-a456-426614174000",
"quantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text",
"lotNumber": "text"
}
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000"
}Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Path parameters
idstring · uuidRequired
Responses
200
OK
referenceNumberstring · nullableOptional
commentsstring · nullableOptional
idstring · uuidOptional
productionOrderNumberstring · nullableOptional
404
Not Found
get/production-orders/{id}
GET /production-orders/{id} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
{
"referenceNumber": "text",
"comments": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"productionOrderNumber": "text",
"warehouse": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"warehouseCode": "text",
"name": "text",
"description": "text",
"phone": "text",
"email": "text",
"referenceNumber": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text"
},
"inLines": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"product": {
"description": "text",
"upc": "text",
"barcodeType": "Code128",
"barcodeValue": "text",
"referenceNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"sku": "text"
},
"quantity": 1,
"producedQuantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text"
}
],
"outLines": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"product": {
"description": "text",
"upc": "text",
"barcodeType": "Code128",
"barcodeValue": "text",
"referenceNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"sku": "text"
},
"quantity": 1,
"consumedQuantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text"
}
]
}Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Path parameters
idstring · uuidRequired
Responses
200
OK
No content
406
Not Acceptable
delete/production-orders/{id}
DELETE /production-orders/{id} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
No content
Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Body
idsstring · uuid[] · nullableOptional
uploadedSuceededboolean · nullableOptional
uploadMessagestring · nullableOptional
resetUploadCountboolean · nullableOptional
Responses
200
OK
No content
406
Not Acceptable
post/production-orders/upload
POST /production-orders/upload HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 119
{
"ids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"uploadedSuceeded": true,
"uploadMessage": "text",
"resetUploadCount": true
}No content
Last updated
